Package org.optaplanner.core.impl.domain.variable.listener.support

## Class VariableListenerNotifiable

- java.lang.Object
- - org.optaplanner.core.impl.domain.variable.listener.support.VariableListenerNotifiable

- All Implemented Interfaces:
    `Comparable<VariableListenerNotifiable>`

      public class VariableListenerNotifiable
      extends Object
      implements Comparable<VariableListenerNotifiable>

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected int` | `globalOrder` |
    `protected Collection<VariableListenerNotification>` | `notificationQueue` |
    `protected VariableListener` | `variableListener` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `VariableListenerNotifiable​(VariableListener variableListener, int globalOrder)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `compareTo​(VariableListenerNotifiable other)` |
    `int` | `getGlobalOrder()` |
    `Collection<VariableListenerNotification>` | `getNotificationQueue()` |
    `VariableListener` | `getVariableListener()` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### variableListener

          protected final VariableListener variableListener

    - #### globalOrder

          protected final int globalOrder

    - #### notificationQueue

          protected final Collection<VariableListenerNotification> notificationQueue

  - ### Constructor Detail

    - #### VariableListenerNotifiable

          public VariableListenerNotifiable​(VariableListener variableListener,
                                            int globalOrder)

  - ### Method Detail

    - #### getVariableListener

          public VariableListener getVariableListener()

    - #### getGlobalOrder

          public int getGlobalOrder()

    - #### getNotificationQueue

          public Collection<VariableListenerNotification> getNotificationQueue()

    - #### compareTo

          public int compareTo​(VariableListenerNotifiable other)

      Specified by:
        `compareTo` in interface `Comparable<VariableListenerNotifiable>`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`